RHEL 8 : webkit2gtk3 (RHSA-2024:2982)

critical Nessus Plugin ID 197749

Synopsis

The remote Red Hat host is missing one or more security updates for webkit2gtk3.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2024:2982 advisory.

WebKitGTK is the port of the portable web rendering engine WebKit to the GTK platform.

Security Fix(es):

* webkitgtk: Processing web content may lead to arbitrary code execution (CVE-2023-40414)

* webkitgtk: Processing web content may lead to arbitrary code execution (CVE-2023-42852)

* webkitgtk: Processing web content may lead to arbitrary code execution (CVE-2024-23213)

* webkitgtk: Processing a file may lead to a denial of service or potentially disclose memory contents (CVE-2014-1745)

* webkitgtk: User password may be read aloud by a text-to-speech accessibility feature (CVE-2023-32359)

* webkitgtk: use-after-free in the MediaRecorder API of the WebKit GStreamer-based ports (CVE-2023-39928)

* webkitgtk: Processing web content may lead to a denial of service (CVE-2023-41983)

* webkitgtk: processing a malicious image may lead to a denial of service (CVE-2023-42883)

* webkitgtk: processing malicious web content may lead to arbitrary code execution (CVE-2023-42890)

* webkitgtk: A maliciously crafted webpage may be able to fingerprint the user (CVE-2024-23206)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the Red Hat Enterprise Linux 8.10 Release Notes linked from the References section.

Tenable has extracted the preceding description block directly from the Red Hat Enterprise Linux security advisory.

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL webkit2gtk3 package based on the guidance in RHSA-2024:2982.

See Also

https://access.redhat.com/security/updates/classification/#important

http://www.nessus.org/u?99ff6172

https://bugzilla.redhat.com/show_bug.cgi?id=2241400

https://bugzilla.redhat.com/show_bug.cgi?id=2254326

https://bugzilla.redhat.com/show_bug.cgi?id=2254327

https://bugzilla.redhat.com/show_bug.cgi?id=2269743

https://bugzilla.redhat.com/show_bug.cgi?id=2270141

https://bugzilla.redhat.com/show_bug.cgi?id=2270143

https://bugzilla.redhat.com/show_bug.cgi?id=2270151

https://bugzilla.redhat.com/show_bug.cgi?id=2271449

https://bugzilla.redhat.com/show_bug.cgi?id=2271453

https://bugzilla.redhat.com/show_bug.cgi?id=2271456

https://issues.redhat.com/browse/RHEL-3961

http://www.nessus.org/u?69408870

https://access.redhat.com/errata/RHSA-2024:2982

Plugin Details

Severity: Critical

ID: 197749

File Name: redhat-RHSA-2024-2982.nasl

Version: 1.0

Type: local

Agent: unix

Published: 5/23/2024

Updated: 5/23/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2014-1745

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

CVSS Score Source: CVE-2023-40414

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:webkit2gtk3, p-cpe:/a:redhat:enterprise_linux:webkit2gtk3-jsc, p-cpe:/a:redhat:enterprise_linux:webkit2gtk3-jsc-devel, p-cpe:/a:redhat:enterprise_linux:webkit2gtk3-devel, cpe:/o:redhat:enterprise_linux:8

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 5/22/2024

Vulnerability Publication Date: 5/20/2014

Reference Information

CVE: CVE-2014-1745, CVE-2023-32359, CVE-2023-39928, CVE-2023-40414, CVE-2023-41983, CVE-2023-42852, CVE-2023-42883, CVE-2023-42890, CVE-2024-23206, CVE-2024-23213

CWE: 119, 20, 400, 416

RHSA: 2024:2982